Name: rsync
Version: 3.2.3
Release: 4
License: GPL-3.0-or-later
Summary: Remote sync utility
Url: https://rsync.samba.org

BuildRequires: libiconv-devel
BuildRequires: libzstd-devel
BuildRequires: openssl-3.0-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

Source0: https://download.samba.org/pub/rsync/src/rsync-%{version}.tar.gz


%description
rsync is an open source utility that provides fast incremental file transfer.


%package compat
Summary: Compatibility package providing a symbolic link in /QOpenSys/usr/bin
Requires: rsync = %{version}-%{release}

%description compat
Compatibility package providing a symbolic link in /QOpenSys/usr/bin

%prep
%setup -q

%build

# Version:           1.17.1
# Host OS:           os400
# Install prefix:    /QOpenSys/QIBM/ProdData/OPS/tools
# Compiler:          gcc
# SSL:               openssl
# Zlib:              yes
# PSL:               no
# Digest:            yes
# NTLM:              yes
# OPIE:              yes
# Debugging:         yes
# Assertions:        no
# Valgrind:          Valgrind testing not enabled
# Metalink:          no
# GPGME:             no

%configure \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/libiconv" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  ac_cv_func_linkat=no \
  --enable-ipv6 \
  --without-included-popt \
  --without-included-zlib \
  --disable-acl-support \
  --disable-xattr-support \
  --disable-xxhash \
  --disable-lz4 \
  # end

%make_build


%install

%make_install
mkdir -p %{buildroot}/QOpenSys/usr/bin/
ln -s %{_bindir}/rsync %{buildroot}/QOpenSys/usr/bin/rsync

%files
%defattr(-, qsys, *none)

%{_bindir}/rsync
%{_bindir}/rsync-ssl

%{_mandir}/man1/rsync.1*
%{_mandir}/man1/rsync-ssl.1*
%{_mandir}/man5/rsyncd.conf.5*

%files compat
%defattr(-, qsys, *none)
/QOpenSys/usr/bin/rsync

%changelog
* Thu Sep 14 2023 Abdirahim Musse <abdirahim.musse@ibm.com> - 3.2.3
- Update to use openssl 3.0

* Thu Feb 09 2023 Kevin Adler <kadler@us.ibm.com> - 3.2.3
- BuildRequire openssl-1.1-devel instead of openssl-devel

* Thu Jun 09 2022 Jesse Gorzinski <jgorzins@us.ibm.com> - 3.2.3
- Add symlink to /QOpenSys/usr/bin in "compat" package

* Fri Aug 21 2020 Jesse Gorzinski <jgorzins@us.ibm.com> - 3.2.3
- Update to version 3.2.3
- Add support for rsync-ssl
- Add support for zstd compression

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.1.2
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 3.1.2
- Use SPDX license identifier

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Use CPPFLAGS instead of CFLAGS

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded Provides/Requires lines

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
